Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\CustomLocationControllerChecker Class Reference

Used to check if a Location is rendered using a custom controller. More...

## Public Member Functions
| usesCustomController (Content $content, Location $location, $viewMode='full')
| Tests if $location has match a view that uses a custom controller. More...
| addViewProviders (array $viewProviders)

## Private Attributes
| $viewProviders

## Detailed Description

Used to check if a Location is rendered using a custom controller.

Definition at line 15 of file CustomLocationControllerChecker.php.

## Member Function Documentation

## ◆ addViewProviders()

eZ\Publish\Core\MVC\Symfony\View\CustomLocationControllerChecker::addViewProviders | ( | array | $viewProviders | ) |

Parameters

  $viewProviders | \eZ\Publish\Core\MVC\Symfony\View\ViewProvider[]

Definition at line 52 of file CustomLocationControllerChecker.php.

References eZ\Publish\Core\MVC\Symfony\View\CustomLocationControllerChecker\$viewProviders.

## ◆ usesCustomController()

eZ\Publish\Core\MVC\Symfony\View\CustomLocationControllerChecker::usesCustomController | ( | Content | $content,
|  | Location | $location,
|  |  | $viewMode = `'full'`
| ) |  |

Tests if $location has match a view that uses a custom controller.

Since
  5.4.5

Parameters

  $content | Content
  $location | Location
  $viewMode | string

Returns
  bool

Definition at line 31 of file CustomLocationControllerChecker.php.

## Member Data Documentation

## ◆ $viewProviders

eZ\Publish\Core\MVC\Symfony\View\CustomLocationControllerChecker::$viewProviders
| private

Definition at line 18 of file CustomLocationControllerChecker.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\CustomLocationControllerChecker\addViewProviders().

The documentation for this class was generated from the following file:

- CustomLocationControllerChecker.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.